Page MenuHomePhabricator

selecting code also selects line number, and the CSS fix doesn't seem to work
Closed, ResolvedPublic

Description

Hello :-)

Per the subject line, selecting code also selects the line number. This makes it hard to use the code you have copied. the solution here doesn't seem to work. I am using syntax hilight version number: 2.0 (822ede6) 22:24, 20 February 2016. I am using media wiki version 1.27.0-alpha (5353260).

This behavior is present when using latest version of chrome ( 49.0.2623.87 (64-bit)) and firefox (45.0.1).

Details

Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : masterPrevent selecting line numbers in syntaxhighlight

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2016, 6:38 AM

Change 282681 had a related patch set uploaded (by TheDJ):
Prevent selecting line numbers in syntaxhighlight

https://gerrit.wikimedia.org/r/282681

TheDJ added a subscriber: TheDJ.Apr 11 2016, 12:33 PM

That solution indeed doesn't work. user-select is in a very shaky state, and the browser vendors have opted to only support prefixed versions of it for now (for a short time Chrome had the unprefixed version, but they undid this).

Change 282681 merged by jenkins-bot:
Prevent selecting line numbers in syntaxhighlight

https://gerrit.wikimedia.org/r/282681

TheDJ closed this task as Resolved.Apr 12 2016, 4:37 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.